*{
    padding: 0;
    margin: 0;
}

body{
    background-color: rgb(235, 235, 235);

}

header{
    background-color: white;
    text-align: center;
    padding:10px;
}

footer{
    background-color: white;
    text-align: center;
    position: relative;
    left: 0;
    bottom: 0;
    padding: 20px;
}

main{
    display: flex;
    flex-flow: row wrap;
}

main > *{
    flex: 1 100%;
}

#esquerda{
    text-align: left;
    order: 1;   
    flex: 3 0px;
}

#direita{
    order: 2;
       
}

article{
    background-color: white;
    margin: 10px 5px 10px 10px;
    padding: 10px;
}

article img{
    background-color: gray;
    margin: auto;
    max-width: 65%;
    max-height: 400px;
  
}


button:hover{
    background-color: rgb(124, 124, 124);
    border-color: blue; 
}

button:active{
    background-color: red;
}

.centralizar{
    display: flex;
}

aside{
    background-color: white;
    margin: 10px 10px 10px 5px;
    
}


@media all and (min-width: 600px) {
    #direita{flex: 1 0 0; }
}